.ifnot hlp
.LEFT MARGIN
.HL 1 Indexing
.left margin +5
.endif hlp
.if hlp.i-6;2 INDEXING
.br
.endif hlp
Runoff can produce an index to your document.  To do this you must use the
 .INDEX command for each occurrence of a keyword you wish to index.
This does not automatically cause all occurrences of a keyword to be
indexed.  If you wish to automatically index all occurrences of a keyword
you may do this by using an appropriate editor. The editor
must search for the keyword, form a new line after the keyword and
insert .X keyword on the new line.  The index facility is intended to
produce indexes not concordances.
Then when you wish to print the index, you use .PRINT INDEX or .DO INDEX.
.s
.if hlp.i-6;3 INDEX
.endif hlp
.S.I-5; .INDEX [text] 
.i-5; .X [text] 
.s.index  INDEX  
takes the remaining text on the line as a keyword 
and adds it, along with the current page number, to the internal 
index buffer. The command does not cause a break.  
If in FILL mode the index command must appear immediately 
after the item to be indexed. 
If you are in NO FILL mode the index command must appear immediately 
after the line containing the index item.  If the line is broken 
because it is too long the index page number may be incorrect. 
If you declare a .TEXT section then the .INDEX command should be at the end
of the section before the next .TEXT or .END TEXT.
Overstriking, substitution, and escape sequences are not allowed in 
index keywords.  A given keyword may be indexed more than once. 
If a kewyord is indexed more than one time on a page
the extra times are ignored.
.p;SEE also the commands .ENABLE INDEXING and .DISABLE INDEXING.
.if hlp.i-6;3 DO__INDEX
.endif hlp
.s.tp8.i-5; .DO INDEX [text] 
.i-5; .DX [text] 
.s.index  DO INDEX  
First the permanent margins, and line spacing are restored.
Then this command starts a new page, centers the text, if given, otherwise 
it centers the word " INDEX ".  This command then prints the 
entire contents of the index buffer.  Entries are printed 
in alphabetic order and are set against the left margin. 
Regular line spacing is used, except that a new paragraph is formed 
between entries with different first letter.  The entries of different 
first letter may be separated by non zero paragraph spacing, and 
orphan lines at the end of the page are prevented by the paragraph 
test page value. 
The paragraph indentation is used to indent extra page numbers which can 
not fit on the line with the index entry. 
.S; If both FILL and JUSTIFY are enabled 
the entry is followed by ellipses ( . . .) and the page numbers 
are printed right justified with respect to the current right margin. 
If FILL is disabled the ellipses are omitted.  If JUSTIFY is disabled 
the page numbers will start 5 spaces after the index entry, and no  
justification will occurr. 
.if hlp.i-6;3 PRINT__INDEX
.endif hlp
.s.tp8.i-5; .PRINT INDEX  
.i-5; .PX 
.s.index  PRINT INDEX  
This prints the entire contents of the index buffer.
The current margins, and spacing are not changed, nor is a new page started.
The format of the index is the same as for .DO INDEX except that 
 parameters are not reset and no header is formed.
